import { View, Text } from '@tarojs/components';
import { Component, ReactNode } from 'react';
import Taro from '@tarojs/taro';
import type CustomTabBar from '../../custom-tab-bar';
import './repair.scss';

export default class RepairPage extends Component {
  // 以下是TabBar相关
  pageCtx = Taro.getCurrentInstance().page;
  componentDidShow() {
    const tabbar = Taro.getTabBar<CustomTabBar>(this.pageCtx);
    tabbar?.setSelected(1);
  }
  // 以上是TabBar相关

  render(): ReactNode {
    return (
      <View>
        <Text>Repair Page</Text>
      </View>
    );
  }
}
